{% extends 'base.html.twig' %}

{% block title %}
    {{ title }}
{% endblock %}

{% block main %}
    <div class="container border m-2 p-2">
        {# afficher le détail de l'article #}
        <h2>{{ title }}</h2>
        <h2>{{ event.nom }}</h2>
        <h4>Organisateur: <a href="{{ path('user_detail', {'pseudo': event.organisateur.pseudo}) }}">{{ event.organisateur ? event.organisateur.pseudo : 'inconnue' }}</a></h4>

        <p class="small">Débute le {{ event.dateHeureDebut | date('d/m/Y') }} à {{ event.dateHeureDebut | date('H:i') }}</p>
        <p class="small">Ville de rattachement {{ event.site.nom }}</p>
        <p class="small">Fin des inscriptions le {{ event.dateLimiteInscription | date('d/m/Y') }} à {{ event.dateLimiteInscription | date('H:i') }}</p>
        <p class="small">Nombre de participants {{ event.users.count }}</p>
        <p class="small">Nombre de participants maximum {{ event.nbInscriptionMax }}</p>
        <p class="small">Durée: à faire</p>
        <p class="small">Etat: {{ event.etat.libelle }}</p>
        {% if event.etat.libelle == 'Annulée' %}
            <h5>Motif d'annulation</h5>
        {% else %}
            <h5>Description:</h5>
        {% endif %}

        <p>{{ event.infoEvent}}</p>
        <h5>Liste des participants</h5>
        <ul>
        {% for user in event.users %}
            <li>{{ user.nom }} {{ user.prenom }}</li>
        {% endfor %}
        </ul>

        {# boutons #}
        {% if event.organisateur.pseudo != app.user.pseudo %}
            {% if event.etat.libelle == 'Ouverte'%}
                {%  set utilSessionInscrit = false %}
                {% for user in event.users %}
                    {% if user.pseudo == app.user.pseudo %}
                        {%  set utilSessionInscrit = true %}
                    {% endif %}
                {% endfor %}
                {% if utilSessionInscrit == true %}
                        <a href="{{ path('event_withdraw', {'id': event.id }) }}">
                            <button class="btn btn-warning">
                                Se désister
                            </button>
                        </a>
                {% else %}
                    <a href="{{ path('event_join', {'id': event.id }) }}">
                        <button class="btn btn-success">
                            Participer
                        </button>
                    </a>
                {% endif %}

            {% else %}
                <button class="btn btn-outline-secondary" disabled>Participer</button>
            {% endif %}
        {% endif %}
        {% if is_granted("ROLE_ADMIN") %}
            {% if isUserSession %}
            {% else %}
                <a href="{{ path("event_cancel", { "id" : event.id}) }}"
                   class="btn btn-danger">Annuler</a>
            {% endif %}
        {% endif %}
        {% if isUserSession %}
            {% if event.etat.libelle == 'Ouverte' or event.etat.libelle == 'Créée'%}
            <div class="row-cols-2">
                {% if event.etat.libelle == 'Créée'%}
                    <a href="{{ path("event_publish", { "id" : event.id}) }}"
                       class="btn btn-info">Publier</a>
                {% endif %}
                <a href="{{ path("event_edit", { "id" : event.id}) }}"
                   class="btn btn-primary">Modifier</a>
                <a href="{{ path("event_cancel", { "id" : event.id}) }}"
                   class="btn btn-warning">Annuler</a>
                {% else %}
                    <button class="btn btn-outline-secondary" disabled>Modifier</button>
                    <button class="btn btn-outline-secondary" disabled>Annuler</button>
                {% endif %}

{#                        <a href="{{ path("article_delete", {'id' : article.id, #}
            {#                '_token' : csrf_token("delete" ~ article.id) }) }}"#}
            {#                class="btn btn-danger"#}
            {#                onclick="return confirm('Confirmation de la suppression ?');">Supprimer</a>#}
            </div>
        {% endif %}
    </div>
{% endblock %}

